<script lang="ts">
  import Item from '$lib/components/Items/Item.svelte';
  import EditSvg from '$lib/components/svg/EditSvg.svelte';
  import DeleteSvg from '$lib/components/svg/DeleteSvg.svelte';
  import { axiosInstance } from '$lib/config';

  export let id: number,
    name: string;

  async function handleRemove() {
    try {
      const res = await axiosInstance.delete(`/project/${id}`);

      if (res.status === 200) {
        window.location.reload();
      }
    } catch (err) {
      console.error(err);

      alert('Возникла ошибка. Попробуйте повторить действие.');
    }
  }
</script>

<Item>
    <section class="flex gap-6 items-center">
        <section class="space-y-1">
            <a href="/admin/projects/{id}">
                <h2 class="text-2xl font-bold font-serif hover:underline decoration-blue-700">{name}</h2>
            </a>
            <p class="text-neutral-600"><span class="select-none">ID:</span>{id}</p>
        </section>
    </section>
    <section class="flex gap-6 items-center">
        <a href="/admin/projects/{id}" class="cursor-pointer">
            <EditSvg/>
        </a>
        <!--        <a href="/admin/contacts/" class="cursor-pointer"><ViewSvg/></a>-->
        <button on:click={handleRemove}>
            <DeleteSvg/>
        </button>
    </section>
</Item>